Ktlint, the anti-bikeshedding Kotlin linter with built-in formatter (https://ktlint.github.io/)

Backend: pants.backend.experimental.kotlin.lint.ktlint
Config section: [ktlint]

Basic options

skip

--[no-]ktlint-skip
PANTS_KTLINT_SKIP
default: False

Don't use Ktlint when running ./pants fmt and ./pants lint.


Advanced options

version

--ktlint-version=<str>
PANTS_KTLINT_VERSION
default: 0.45.2

Version string for the tool. This is available for substitution in the [ktlint].artifacts option by including the string {version}.


artifacts

--ktlint-artifacts="['<str>', '<str>', ...]"
PANTS_KTLINT_ARTIFACTS
default:
[
  "com.pinterest:ktlint:{version}"
]

Artifact requirements for this tool using specified as either the address of a jvm_artifact target or, alternatively, as a colon-separated Maven coordinates (e.g., group:name:version). For Maven coordinates, the string {version} version will be substituted with the value of the [ktlint].version option.


lockfile

--ktlint-lockfile=<str>
PANTS_KTLINT_LOCKFILE
default: <default>

Path to a lockfile used for installing the tool.

Set to the string <default> to use a lockfile provided by Pants, so long as you have not changed the --version option. See https://github.com/pantsbuild/pants/blob/release_2.12.0/src/python/pants/backend/kotlin/lint/ktlint/ktlint.lock for the default lockfile contents.

To use a custom lockfile, set this option to a file path relative to the build root, then run ./pants jvm-generate-lockfiles --resolve=ktlint.


Deprecated options

None


Did this page help you?